Ambient Session Management
Ambient Session Metadata
deprecated
Add metadata to Ambient session (deprecated; use context endpoint instead)
POST
/
api
/
v1
/
ambient
/
session
/
{ambient_session_id}
/
metadata
cURL
curl --request POST \
--url https://sdp.suki.ai/api/v1/ambient/session/<ambient_session_id>/metadata \
--header 'Content-Type: application/json' \
--header 'sdp_suki_token: <sdp_suki_token>' \
--header 'sdp_provider_id: <sdp_provider_id>'import requests
url = "https://sdp.suki.ai/api/v1/ambient/session/{ambient_session_id}/metadata"
payload = {
"note_sections": [
{
"description": "The main reason for the visit",
"title": "CHIEF COMPLAINT"
}
],
"patient_dob": "2000-01-01",
"patient_sex": "male",
"provider_specialty": "CARDIOLOGY"
}
headers = {
"sdp_suki_token": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {sdp_suki_token: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
note_sections: [{description: 'The main reason for the visit', title: 'CHIEF COMPLAINT'}],
patient_dob: '2000-01-01',
patient_sex: 'male',
provider_specialty: 'CARDIOLOGY'
})
};
fetch('https://sdp.suki.ai/api/v1/ambient/session/{ambient_session_id}/metadata', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
This response has no body data.{
"code": 400,
"message": "invalid request"
}{
"code": 401,
"message": "invalid token"
}{
"code": 403,
"message": "forbidden"
}{
"code": 404,
"message": "not found"
}{
"code": 500,
"message": "internal server error"
}This endpoint is
deprecatedAuthorizations
Suki access token (suki_token) from Login or Register. Expires after one hour.
Headers
Optional for standard partners.
Required for:
- Bearer authentication. Use the same
provider_idreturned by the Login or Register API. - Single Auth Token authentication. Include the same
provider_idon every request assdp_provider_id.
Example:
"provider-123"
Path Parameters
UUID for the ambient session. Use the ambient_session_id returned from Create Ambient Session, or the UUID you supplied in that request.
Body
application/json
Session metadata for the ambient session. Deprecated. Use context APIs instead.
Optional - Default note sections used if not provided
Show child attributes
Show child attributes
Optional - {YYYY-MM-DD}
Example:
"2000-01-01"
Optional
Available options:
male, female, other, unknown Example:
"male"
Optional - Defaults to FAMILY_MEDICINE if not provided
Example:
"CARDIOLOGY"
Response
Last modified on July 23, 2026
Was this page helpful?
โI
cURL
